# Serene Bach plugin for latest entry list with time.
#
# Release 1.00 (July 19,2006)
#
# This software is provided as-is. You may use it for commercial or 
# personal use. If you distribute it, please keep this notice intact.
#
# Copyright (c) 2005-2006 Yujiro Araki

package sb::Plugin::LatestEntryWithTime;

use sb::Plugin ();
use vars qw($js,@history);

sb::Plugin->register_plugin(
    'lang' => {
        'ja' => 'euc',
        'en' => 'ascii',
    },
    'text' => {
        'type'    => 'cms',
        'name'    => 'LatestEntryWithTme',
        'text'    => 'Latest Entry With Time',
        'author'  => 'Yujiro Araki',
        'detail'  => 'http://www.koikikukan.com/',
        'version' => '1.00',
    },
    'data' => 0,
    'file' => 'latestentrywithtime.txt',
);

# register callback function to cms entry point
sb::Plugin->register_content_module(
    'type'     => 'main',
    'callback' => \&sb::Content::LatestEntryWithTime::_list_latest_with_time,
    'field'    => 'latest_entry_with_time',
);

package sb::Content::LatestEntryWithTime;

sub _list_latest_with_time { # ŐVGg[Xg
	my $cms = shift;
	my %var = @_;
	my @linklist = ('<ul>');
	foreach my $list ( @{$var{'entryinfo'}{'latest'}} ) {
		my $subj = $list->subj;
		my $url = $list->permalink(
			'cat'=>$var{'cat'},
			'type'=>($var{'mode'} eq 'mob') ? 'Mobile' : $var{'conf'}->value('conf_entry_archive')
		);
		my $date = sb::Time->format(
			'time'=>$list->date,
			'form'=>$var{'conf'}->value('conf_dateinlist'),
			'zone'=>$var{'conf'}->value('conf_timezone')
		);
		my $time = $list->date;
		push(@linklist,qq|<li><a href="$url">$subj</a>$date <span class="new">$time</span></li>|);
	}
	push(@linklist,'</ul>');
	$cms->num(0);
	$cms->tag('latest_entry_list_with_time'=>join("\n",@linklist));
	return (@linklist > 2) ? 1 : 0;
}

1;
__END__
